# $Revision: 1.27 $, $Date: 2001/08/10 13:19:59 $
Summary:	Configuration file library
Summary(pl):	Biblioteka plikw konfiguracyjnych
Summary(de):	Library zum Lesen von Konfigurationsdateien
Name:		conflib
Version:	0.4.5
Release:	5
License:	GPL
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Group(pt_BR):	Bibliotecas
Group(ru):	
Group(uk):	̦
Source0:	ftp://ftp.ohse.de/uwe/releases/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-cl_build_stanza_array-fix.patch
Patch2:		%{name}-ac25x.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description 
A C language library for reading configuration files.

%description -l pl
Biblioteka C suca do odczytywania plikw konfiguracyjnych.

%package devel
Summary:	Files for developing programs that use the conflib library
Summary(pl):	Pliki do tworzenia programw wykorzystujcych bibliotek conflib
Summary(de):	Dateien zum Entwickeln von Programmen mit der conflib-Library
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}

%description devel
This library makes it relativly easy to read configuration files (one
or more), or parts of them. It supports a lot of different data types
and some types of text interpretations, including \-escapes, ~user,
$HOME and conditional expansions.

%description -l pl devel
Ta biblioteka pozwala na stosunkowo proste czytanie plikw
konfiguracyjnych lub ich czci. Wspiera wiele rnych typw danych
oraz niektre typy interpretacji tekstu, np. \-escapes, ~user, $HOME
oraz warunkowe rozwijanie.

%package static
Summary:	Files for developing programs that use the conflib library
Summary(pl):	Statyczne pliki do tworzenia programw wykorzystujcych bibliotek conflib
Summary(de):	Dateien zum Entwickeln von Programmen mit der conflib-Library
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name}-devel = %{version}

%description static
This library makes it relativly easy to read configuration files (one
or more), or parts of them. It supports a lot of different data types
and some types of text interpretations, including \-escapes, ~user,
$HOME and conditional expansions.

%description -l pl static
Ta biblioteka pozwala na stosunkowo proste czytanie plikw
konfiguracyjnych lub ich czci. Wspiera wiele rnych typw danych
oraz niektre typy interpretacji tekstu, np. \-escapes, ~user, $HOME
oraz warunkowe rozwijanie. Ten pakiet zawiera pliki statyczne.

%prep
%setup -q
%patch0 -p1
%patch1 -p1	
%patch2 -p1	

%build
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README NEWS ChangeLog

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc README.gz NEWS.gz ChangeLog.gz
%{_includedir}/*.h
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_infodir}/*info*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: conflib.spec,v $
Revision 1.27  2001/08/10 13:19:59  kloczek
- added ac25x patch and regenerate all ac/am/lt files (spec is now ac
  2.5x ready),
- spec adapterized.

Revision 1.26  2001/08/09 17:39:58  blues
- %configure2_13
- some translations

Revision 1.25  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.23  2001/05/27 18:13:30  kloczek
- relase 5.

Revision 1.22  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.21  2000/07/25 09:17:12  mis
- added bugfix patch

Revision 1.20  2000/06/18 22:34:02  kloczek
- release 3.

Revision 1.19  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.18  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.16  2000/05/18 17:11:04  kloczek
- spec adapterized.

Revision 1.15  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.14  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.12  2000/03/28 11:10:59  arturs
typo

Revision 1.11  2000/03/27 12:48:04  arturs
- added %description -l pl

Revision 1.10  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.9  1999/09/19 09:05:39  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.8  1999/09/06 00:19:57  kloczek
- fix: {un} registering info pages moved to devel.

Revision 1.7  1999/09/06 00:02:21  kloczek
- more rpm macroc,
- added info patch,
- info pages moved to devel,
- added lib*.la files to devel,
- permission changed to 755 on lib*.so,
- standarized {un}registering info pages.

Revision 1.6  1999/07/18 14:53:23  baggins
- fixed bogus Group: field

Revision 1.5  1999/07/15 17:36:55  baggins
- added sttic subpackage

Revision 1.4  1999/07/15 17:21:42  baggins
- macros
- gziping docs
- cleanup

Revision 1.3  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).
